Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class NamedStyle

    java.lang.Object
      org.deegree.graphics.sld.AbstractStyle
          org.deegree.graphics.sld.NamedStyle

All Implemented Interfaces:
  Marshallable

    public class NamedStyle

extends AbstractStyle
implements Marshallable

A NamedStyle uses the "name" attribute to identify a style known to the WMS

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Field Summary

Fields inherited from class org.deegree.graphics.sld.AbstractStyle
`name`

Constructor Summary
`NamedStyle(String name)` Creates a new NamedStyle object.

Method Summary
`String` | `exportAsXML()` exports the content of the NamedStyle as XML formated String

Methods inherited from class org.deegree.graphics.sld.AbstractStyle
`getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamedStyle

    public NamedStyle(String name)

  Creates a new NamedStyle object.

  Parameters:
    `name` -

Method Detail

### exportAsXML

    public String exportAsXML()

  exports the content of the NamedStyle as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the NamedStyle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org